Bug 242609 - yum.conf variable expansion problem.
yum.conf variable expansion problem.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 22:35 EDT by Charles Curley
Modified: 2014-01-21 17:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-05 02:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Curley 2007-06-04 22:35:29 EDT
Description of problem:

yum.conf variable expansion problem.

Version-Release number of selected component (if applicable):

3.1.6


How reproducible:

Always

Steps to Reproduce:

1. Create a local repo with a path component where the variable is not the
entire name of the directory, e.g.
baseurl=ftp://reposerver/pub/f$releasever/F-7-i386-DVD.iso (as opposed to
...pub/7/F....

2. Edit the file fedora-core.repo to use the said repo.

3. Try to use yum.

  
Actual results:

[root@taltos ~]# yum list emacs*
Loading "installonlyn" plugin


Cannot open/read repomd.xml file for repository: core
[root@taltos ~]#


Expected results:

[root@taltos ~]# yum list emacs*
Loading "installonlyn" plugin
primary.xml.gz            100% |=========================| 619 kB    00:00     
core      : ################################################## 1628/1628
primary.xml.gz            100% |=========================|  186 B    00:00     
Available Packages
emacs.i386                               22.0.990-2.fc7         core            
emacs-common.i386                        22.0.990-2.fc7         core            
[root@taltos ~]

Additional info:

Expanding the variable manually works, e.g.:

baseurl=ftp://reposerver/pub/f7/F-7-i386-DVD.iso
Comment 1 Seth Vidal 2007-06-05 00:31:41 EDT
could you send the output of:

rpm -q fedora-release


thanks!
Comment 2 Charles Curley 2007-06-05 00:52:21 EDT
[root@taltos ~]# cat /etc/fedora-release 
Fedora release 6.93 (Rawhide)

Sorry, I didn't realize I had installed from the wrong ISO until just now (it
should be f7). I will reinstall in the morning & see if the problem is still there.
Comment 3 Seth Vidal 2007-06-05 02:28:20 EDT
I think you'll find this isn't a bug. B/c you had 6.93 $releasever doesn't
become 7, it only becomes 6.93

hence, the problem.

Note You need to log in before you can comment on or make changes to this bug.